Open CASCADE Technology: Geom2dInt_Geom2dCurveTool Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
Geom2dInt_Geom2dCurveTool Class Reference

This class provides a Geom2dCurveTool as < Geom2dCurveTool from IntCurve > from a Tool as < Geom2dCurveTool from Adaptor3d > . More...

`#include <Geom2dInt_Geom2dCurveTool.hxx>`

## Static Public Member Functions
static GeomAbs_CurveType | GetType (const Adaptor2d_Curve2d &C)
static Standard_Boolean | IsComposite (const Adaptor2d_Curve2d &C)
static gp_Lin2d | Line (const Adaptor2d_Curve2d &C)
| Returns the Lin2d from gp corresponding to the curve C. This method is called only when TheType returns GeomAbs_Line. More...
static gp_Circ2d | Circle (const Adaptor2d_Curve2d &C)
| Returns the Circ2d from gp corresponding to the curve C. This method is called only when TheType returns GeomAbs_Circle. More...
static gp_Elips2d | Ellipse (const Adaptor2d_Curve2d &C)
| Returns the Elips2d from gp corresponding to the curve C. This method is called only when TheType returns GeomAbs_Ellipse. More...
static gp_Parab2d | Parabola (const Adaptor2d_Curve2d &C)
| Returns the Parab2d from gp corresponding to the curve C. This method is called only when TheType returns GeomAbs_Parabola. More...
static gp_Hypr2d | Hyperbola (const Adaptor2d_Curve2d &C)
| Returns the Hypr2d from gp corresponding to the curve C. This method is called only when TheType returns GeomAbs_Hyperbola. More...
static Standard_Real | EpsX (const Adaptor2d_Curve2d &C)
static Standard_Real | EpsX (const Adaptor2d_Curve2d &C, const Standard_Real Eps_XYZ)
static Standard_Integer | NbSamples (const Adaptor2d_Curve2d &C)
static Standard_Integer | NbSamples (const Adaptor2d_Curve2d &C, const Standard_Real U0, const Standard_Real U1)
static Standard_Real | FirstParameter (const Adaptor2d_Curve2d &C)
static Standard_Real | LastParameter (const Adaptor2d_Curve2d &C)
static gp_Pnt2d | Value (const Adaptor2d_Curve2d &C, const Standard_Real X)
static void | D0 (const Adaptor2d_Curve2d &C, const Standard_Real U, gp_Pnt2d &P)
static void | D1 (const Adaptor2d_Curve2d &C, const Standard_Real U, gp_Pnt2d &P, gp_Vec2d &T)
static void | D2 (const Adaptor2d_Curve2d &C, const Standard_Real U, gp_Pnt2d &P, gp_Vec2d &T, gp_Vec2d &N)
static void | D3 (const Adaptor2d_Curve2d &C, const Standard_Real U, gp_Pnt2d &P, gp_Vec2d &T, gp_Vec2d &N, gp_Vec2d &V)
static gp_Vec2d | DN (const Adaptor2d_Curve2d &C, const Standard_Real U, const Standard_Integer N)
static Standard_Integer | NbIntervals (const Adaptor2d_Curve2d &C)
| output the number of interval of continuity C2 of the curve More...
static void | Intervals (const Adaptor2d_Curve2d &C, TColStd_Array1OfReal &Tab)
| compute Tab. More...
static void | GetInterval (const Adaptor2d_Curve2d &C, const Standard_Integer Index, const TColStd_Array1OfReal &Tab, Standard_Real &U1, Standard_Real &U2)
| output the bounds of interval of index <Index> used if Type == Composite. More...
static Standard_Integer | Degree (const Adaptor2d_Curve2d &C)

## Detailed Description

This class provides a Geom2dCurveTool as < Geom2dCurveTool from IntCurve > from a Tool as < Geom2dCurveTool from Adaptor3d > .

## Member Function Documentation

static gp_Circ2d Geom2dInt_Geom2dCurveTool::Circle | ( | const Adaptor2d_Curve2d & | C | ) |
| static

Returns the Circ2d from gp corresponding to the curve C. This method is called only when TheType returns GeomAbs_Circle.

static void Geom2dInt_Geom2dCurveTool::D0 | ( | const Adaptor2d_Curve2d & | C,
|  | const Standard_Real | U,
|  | gp_Pnt2d & | P
| ) |  |
| static

static void Geom2dInt_Geom2dCurveTool::D1 | ( | const Adaptor2d_Curve2d & | C,
|  | const Standard_Real | U,
|  | gp_Pnt2d & | P,
|  | gp_Vec2d & | T
| ) |  |
| static

static void Geom2dInt_Geom2dCurveTool::D2 | ( | const Adaptor2d_Curve2d & | C,
|  | const Standard_Real | U,
|  | gp_Pnt2d & | P,
|  | gp_Vec2d & | T,
|  | gp_Vec2d & | N
| ) |  |
| static

static void Geom2dInt_Geom2dCurveTool::D3 | ( | const Adaptor2d_Curve2d & | C,
|  | const Standard_Real | U,
|  | gp_Pnt2d & | P,
|  | gp_Vec2d & | T,
|  | gp_Vec2d & | N,
|  | gp_Vec2d & | V
| ) |  |
| static

static Standard_Integer Geom2dInt_Geom2dCurveTool::Degree | ( | const Adaptor2d_Curve2d & | C | ) |
| static

static gp_Vec2d Geom2dInt_Geom2dCurveTool::DN | ( | const Adaptor2d_Curve2d & | C,
|  | const Standard_Real | U,
|  | const Standard_Integer | N
| ) |  |
| static

static gp_Elips2d Geom2dInt_Geom2dCurveTool::Ellipse | ( | const Adaptor2d_Curve2d & | C | ) |
| static

Returns the Elips2d from gp corresponding to the curve C. This method is called only when TheType returns GeomAbs_Ellipse.

static Standard_Real Geom2dInt_Geom2dCurveTool::EpsX | ( | const Adaptor2d_Curve2d & | C | ) |
| static

static Standard_Real Geom2dInt_Geom2dCurveTool::EpsX | ( | const Adaptor2d_Curve2d & | C,
|  | const Standard_Real | Eps_XYZ
| ) |  |
| static

static Standard_Real Geom2dInt_Geom2dCurveTool::FirstParameter | ( | const Adaptor2d_Curve2d & | C | ) |
| static

static void Geom2dInt_Geom2dCurveTool::GetInterval | ( | const Adaptor2d_Curve2d & | C,
|  | const Standard_Integer | Index,
|  | const TColStd_Array1OfReal & | Tab,
|  | Standard_Real & | U1,
|  | Standard_Real & | U2
| ) |  |
| static

output the bounds of interval of index <Index> used if Type == Composite.

static GeomAbs_CurveType Geom2dInt_Geom2dCurveTool::GetType | ( | const Adaptor2d_Curve2d & | C | ) |
| static

static gp_Hypr2d Geom2dInt_Geom2dCurveTool::Hyperbola | ( | const Adaptor2d_Curve2d & | C | ) |
| static

Returns the Hypr2d from gp corresponding to the curve C. This method is called only when TheType returns GeomAbs_Hyperbola.

static void Geom2dInt_Geom2dCurveTool::Intervals | ( | const Adaptor2d_Curve2d & | C,
|  | TColStd_Array1OfReal & | Tab
| ) |  |
| static

compute Tab.

static Standard_Boolean Geom2dInt_Geom2dCurveTool::IsComposite | ( | const Adaptor2d_Curve2d & | C | ) |
| static

static Standard_Real Geom2dInt_Geom2dCurveTool::LastParameter | ( | const Adaptor2d_Curve2d & | C | ) |
| static

static gp_Lin2d Geom2dInt_Geom2dCurveTool::Line | ( | const Adaptor2d_Curve2d & | C | ) |
| static

Returns the Lin2d from gp corresponding to the curve C. This method is called only when TheType returns GeomAbs_Line.

static Standard_Integer Geom2dInt_Geom2dCurveTool::NbIntervals | ( | const Adaptor2d_Curve2d & | C | ) |
| static

output the number of interval of continuity C2 of the curve

static Standard_Integer Geom2dInt_Geom2dCurveTool::NbSamples | ( | const Adaptor2d_Curve2d & | C | ) |
| static

static Standard_Integer Geom2dInt_Geom2dCurveTool::NbSamples | ( | const Adaptor2d_Curve2d & | C,
|  | const Standard_Real | U0,
|  | const Standard_Real | U1
| ) |  |
| static

static gp_Parab2d Geom2dInt_Geom2dCurveTool::Parabola | ( | const Adaptor2d_Curve2d & | C | ) |
| static

Returns the Parab2d from gp corresponding to the curve C. This method is called only when TheType returns GeomAbs_Parabola.

static gp_Pnt2d Geom2dInt_Geom2dCurveTool::Value | ( | const Adaptor2d_Curve2d & | C,
|  | const Standard_Real | X
| ) |  |
| static

The documentation for this class was generated from the following file:

- Geom2dInt_Geom2dCurveTool.hxx